class Mapping:
    """
    Implements a mapping of class pairs
    """

    mapping = []

    def __init__(self):
        mapping = []

    def register_class(self, key_class, client_class):
        self.mapping.append((key_class, client_class))

    def get_class(self, instance):
        for key_class, client_class in self.mapping:
            if isinstance(instance, key_class):
                return client_class
        return None

    def has_mapping(self, instance):
        return self.get_class(instance) is not None
